.\"	$NetBSD: aac.4,v 1.12 2007/03/21 07:03:18 wiz Exp $
.\"
.\" Copyright (c) 2000 Scott Long
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" from FreeBSD: aac.4,v 1.18 2001/09/27 21:52:42 scottl Exp
.Dd March 10, 2007
.Dt AAC 4
.Os
.Sh NAME
.Nm aac
.Nd Adaptec AdvancedRAID Controller driver
.Sh SYNOPSIS
.Cd "aac* at pci? dev ? function ?"
.Cd "ld* at aac? unit ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the Adaptec AAC family of SCSI
and SATA RAID controllers.
These controllers support RAID 0, 1, 5, 10, and volume sets.
They have four channels in the add-in version
or 1-2 channels in the motherboard integrated version,
and are most often found rebadged by Dell, Hewlett-Packard or IBM.
Supported controllers include:
.Pp
.Bl -bullet -compact
.It
Adaptec AAC-364
.It
Adaptec SCSI RAID 2120S
.It
Adaptec SCSI RAID 2200S
.It
Adaptec SATA RAID 2410SA
.It
Adaptec SCSI RAID 5400S
.It
Dell PERC 2/Si
.It
Dell PERC 2/QC
.It
Dell PERC 3/Di
.It
Dell PERC 3/Si
.It
Dell PERC 320/DC
.It
Dell CERC SATA RAID 1.5/6ch
.It
HP NetRAID 4M
.It
HP ML110 G2 (Adaptec SATA RAID 2610SA)
.It
IBM ServeRAID 8k
.Pp
.El
Access to RAID containers is available via the
.Nm ld
device driver.
Individual drives cannot be accessed unless they are part of a container
or volume set, and non-fixed disks cannot be accessed.
Containers can be configured by using the on-board BIOS utility of
the card.
.Sh DIAGNOSTICS
The adapter can send status and alert messages asynchronously to the driver.
These messages are printed on the system console.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr ld 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.6 ,
and was based on the
.Fx
driver of the same name.
.Sh BUGS
This driver is not compatible with controllers that have version 1.x firmware.
The firmware version is the same as the kernel version printed in the BIOS
POST and driver attach messages.
